=== debian/control ===
Source: ros-melodic-roslib
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-filesystem-dev, libboost-thread-dev, python-setuptools, ros-melodic-catkin (>= 0.6.7), ros-melodic-rosmake, ros-melodic-rospack
Homepage: http://wiki.ros.org/roslib
Standards-Version: 3.9.2

Package: ros-melodic-roslib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg (>= 1.0.37), ros-melodic-catkin, ros-melodic-ros-environment, ros-melodic-rospack
Description: Base dependencies and support libraries for ROS.
 roslib contains many of the common data structures and tools that are shared across ROS client library implementations.
